Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.resize(
cluster_id="cluster_id",
project_id=0,
region_id=0,
instances_count=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Resize(
context.TODO(),
"cluster_id",
cloud.GPUBaremetalClusterResizeParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
InstancesCount: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}curl --request POST \
--url https://api.gcore.com/cloud/v1/ai/clusters/gpu/{project_id}/{region_id}/{cluster_id}/resize \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"instances_count": 2
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({instances_count: 2})
};
fetch('https://api.gcore.com/cloud/v1/ai/clusters/gpu/{project_id}/{region_id}/{cluster_id}/resize', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tasks": [
"d478ae29-dedc-4869-82f0-96104425f565"
]
}{
"exception_class": "NotFoundError",
"message": "keypair not found",
"request_id": "4e3e63f3-4f2a-4720-bf18-2a1986531b87"
}GPU Bare Metal
Resize bare metal GPU cluster
Change the number of nodes in a GPU cluster. The cluster can be scaled up or down.
POST
/
cloud
/
v1
/
ai
/
clusters
/
gpu
/
{project_id}
/
{region_id}
/
{cluster_id}
/
resize
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
task_id_list = client.cloud.gpu_baremetal.clusters.resize(
cluster_id="cluster_id",
project_id=0,
region_id=0,
instances_count=1,
)
print(task_id_list.tasks)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/cloud"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
taskIDList, err := client.Cloud.GPUBaremetal.Clusters.Resize(
context.TODO(),
"cluster_id",
cloud.GPUBaremetalClusterResizeParams{
ProjectID: gcore.Int(0),
RegionID: gcore.Int(0),
InstancesCount: 1,
},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", taskIDList.Tasks)
}Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Region ID
Cluster ID
Body
application/json
Resized (total) number of instances
Required range:
x >= 1Response
created tasks for cluster resizing
List of task IDs representing asynchronous operations. Use these IDs to monitor operation progress:
GET /v1/tasks/{task_id}- Check individual task status and details Poll task status until completion (FINISHED/ERROR) before proceeding with dependent operations.
Example:
["d478ae29-dedc-4869-82f0-96104425f565"]
Was this page helpful?
⌘I